#include "ChronoMonotonicTimeServer.h"

#include <chrono>

#include <ArmarXCore/core/logging/Logging.h>

namespace armarx::navigation::core
{
    TimestampUs
    ChronoMonotonicTimeServer::now() const
    {
        const auto tsNow = std::chrono::high_resolution_clock::now();
        // const auto tsNow = std::chrono::steady_clock::now();
        const auto tsSince = tsNow.time_since_epoch();
        const auto dur = std::chrono::duration_cast<std::chrono::microseconds>(tsSince);

        // ARMARX_INFO << "tsnow " << tsNow;
        // ARMARX_INFO << "tsSince " << tsSince;
        // ARMARX_INFO << "dur " << dur;

        return dur;
    }

} // namespace armarx::navigation::core
